/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/  
// COntains all the coefficients used for testing

#include "paftyp.h"



PAF_AudioData IIRFilterCoeff0[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	+.98896728E+00, -0.19889061E+01, +.98896728E+00, -0.19889061E+01 
};


PAF_AudioData IIRFilterCoeff1[9] =	{
	+0.10000000E+01,  -0.20000000E+01, +0.10000000E+01,  -0.20000000E+01, +0.10000000E+01, 	
	-0.19639482E+01,  +.96458666E+00, -0.19639482E+01 , +.96458666E+00
};

PAF_AudioData IIRFilterCoeff2[9] =	{
	+0.10000000E+01,	 -0.15000000E+01, +0.10000000E+01, -0.15000000E+01, +0.10000000E+01, 	
	-0.19667209E+01, +.96726567E+00,  -0.19667209E+01, +0.96726567E+00
};

PAF_AudioData IIRFilterCoeff3[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19611756E+01, +.96191508E+00, -0.19611756E+01, +.96191508E+00
};

PAF_AudioData IIRFilterCoeff4[9] =	{
	+0.10000000E+01, -0.15000000E+01, +0.10000000E+01, -0.15000000E+01, +0.10000000E+01,
	-0.19889061E+01, +0.98896728E+00, -0.19889061E+01, +0.98896728E+00
};


PAF_AudioData IIRFilterCoeff5[9] =	{
	+0.10000000E+01, +0.392526E+00,   +0.392526E+00,  +0.392526E+00,  +0.392526E+00, 	
	-0.19556309E+01, +.95659409E+00, -0.19556309E+01, +.95659409E+00
};

PAF_AudioData IIRFilterCoeff6[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19528588E+01, +.95394465E+00,  -0.19528588E+01, +.95394465E+00
};

PAF_AudioData IIRFilterCoeff7[9] =	{
	+0.10000000E+01, -0.15000000E+01, +0.10000000E+01, -0.15000000E+01, +0.10000000E+01, 
	0.19500868E+01,	 +.95130254E+00,  0.19500868E+01, +.95130254E+00
};


PAF_AudioData IIRFilterCoeff_32[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	+.98896728E+00, -0.19889061E+01, +.98896728E+00, -0.19889061E+01 
};


PAF_AudioData IIRFilterCoeff_44[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19919500E+01, +.99198223E+00, -0.19919500E+01, +.99198223E+00
};

PAF_AudioData IIRFilterCoeff_48[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19926040E+01, +.99263126E+00, -0.19926040E+01, +.99263126E+00
};

PAF_AudioData IIRFilterCoeff_64[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19930663E+01, +.99309022E+00, -0.19930663E+01, +.99309022E+00
};

PAF_AudioData IIRFilterCoeff_88[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19959750E+01, +.99598305E+00, -0.19959750E+01, +.99598305E+00
};

PAF_AudioData IIRFilterCoeff_96[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19953775E+01, +.99538816E+00, -0.19953775E+01, +.99538816E+00
};

PAF_AudioData IIRFilterCoeff_128[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19972265E+01, +.99723034E+00, -0.19972265E+01, +.99723034E+00
};

PAF_AudioData IIRFilterCoeff_192[9] =	{
	+0.10000000E+01, -.20000000E+01, +0.10000000E+01, -.20000000E+01,  +0.10000000E+01,	
	-0.19967642E+01, +.99676947E+00, -0.19967642E+01, +.99676947E+00
};